<?php

	$currentLocale = get_locale();
	if(!empty($currentLocale)) {
		$moFile = dirname(__FILE__) . "/language/" . $currentLocale . ".mo";
		if(@file_exists($moFile) && is_readable($moFile)) load_textdomain('portal_colorido', $moFile);
	}
	
	
	$portal_colorido_get_page = '';
	if (isset($_GET['page']))
	{
		$portal_colorido_get_page = htmlspecialchars($_GET['page']);
	}
	$portal_colorido_options_page_url = get_bloginfo('url').'/wp-admin/';
	if ($portal_colorido_get_page != '') { $portal_colorido_options_page_url .= '?page='.$portal_colorido_get_page; }
	
	function portal_colorido_category_class($id)
	{
		$config = unserialize(get_option('portal_colorido_config'));
		if (isset($config['categories'][$id]))
		{
			if (is_numeric($config['categories'][$id])) $color = $config['categories'][$id]; else $color = '0';
		}	
		else
		{
			$color = '0';
		}
		return $color;
	}
	
	function portal_colorido_singular_class($id)
	{
		$config = unserialize(get_option('portal_colorido_config'));
		$meta_values = get_post_meta($id, 'portal_colorido_color_id');
		if (isset($meta_values[0]))
		{
			$color = $meta_values[0];
		}
		else
		{
			if (isset($config['default_color']))  $color = $config['default_color']; else $color = '0';
		}
		return $color;
	}
	
	function portal_colorido_body_class()
	{
		$config = unserialize(get_option('portal_colorido_config'));
		$body_class = get_body_class();
		if (isset($_GET['color_id'])) {
			if (is_numeric($_GET['color_id']))
			{
				$color = $_GET['color_id'];
			}
			else
			{
				if (isset($config['default_color']))  $color = $config['default_color']; else $color = '0';
			}
		} else {
			switch (true)
			{
				case is_single():
					if (!is_attachment())
					{
						$post_exploded = explode('postid-', $body_class[0]);
						$post_id = $post_exploded[1];
						$meta_values = get_post_meta($post_id, 'portal_colorido_color_id');
					}
					if (isset($meta_values[0])) { $color = $meta_values[0]; } else { if (isset($config['default_color']))  $color = $config['default_color']; else $color = '0'; }
					break;
				case is_page():
					$page_exploded = explode('-', $body_class[1]);
					$page_id = $page_exploded[2];
					$meta_values = get_post_meta($page_id, 'portal_colorido_color_id');
					if (isset($meta_values[0])) { $color = $meta_values[0]; } else { if (isset($config['default_color']))  $color = $config['default_color']; else $color = '0'; }
					break;
				case is_category():
								
					$category_exploded = explode('category-', $body_class[2]);
					$category_nicename = $category_exploded[1];
									
					$categories = get_categories();
					foreach ($categories as $cat):
						if ($cat->category_nicename == $category_nicename)
						{
							if (isset($config['categories'][$cat->cat_ID]))
							{
								if (is_numeric($config['categories'][$cat->cat_ID])) $category_color = $config['categories'][$cat->cat_ID];
							}						
						}
					endforeach;
					
					if (isset($category_color))
					{
						if (!is_numeric($category_color)) $category_color = '0';
					}
					else
					{
						$category_color = '0';
					}
					
					$color = $category_color;

					break;
				case is_tag():
					if (isset($config['default_color']))  $color = $config['default_color']; else $color = '0';
					break;
				case is_search():
					if (isset($config['default_color']))  $color = $config['default_color']; else $color = '0';
					break;
				case is_404():
					if (isset($config['default_color']))  $color = $config['default_color']; else $color = '0';
					break;
				case is_home():
					if (isset($config['default_color']))  $color = $config['default_color']; else $color = '0';
					break;
				default:
					if (isset($config['default_color']))  $color = $config['default_color']; else $color = '0';
					break;
			}
		}
		if (!is_numeric($color)) $color = '0';
		$body_class[] = 'color-'.$color;
		if (count($body_class) > 0 )
		{
			$return = 'class="';
			foreach ($body_class as $key => $value)
			{
				$return.= $value.' ';
			}
			$return .= '"';
		}
		echo $return;
	}
	
	function portal_colorido_print_edit_carousel_page_css()
	{
		echo '<style type="text/css">';
		include('admin.css');
		echo '</style>';
	}
	add_action('admin_head', 'portal_colorido_print_edit_carousel_page_css');
	
	function portal_colorido_mainmenu()
	{
		if (portal_colorido_is_installed('wp-main-menu'))
		{ 
			$menu_array = wp_main_menu('array');
			require_once('wp-main-menu-theme.php');
		}
		else
		{ 
			echo '<ul>'; 
			wp_list_pages('title_li=');
			echo '</ul>';
		}
	}
	
	
	function portal_colorido_carousel()
	{
		if (is_home())
		{
			if (portal_colorido_is_installed('wp_carousel'))
			{ 
			
				$config = unserialize(get_option('portal_colorido_config'));
				if (isset($config['carousel_id'])) {
					if (is_numeric($config['carousel_id']))
					{
						$carousel_array = wp_carousel($config['carousel_id'], 'array');
						$carousel_config = $carousel_array['CONFIG'];
						$carousel_items = $carousel_array['ITEMS'];
						$c_id = $carousel_array['ID'];
						eval('if (!function_exists("wp_carousel_load_carousel_'.$c_id.'_js_code")) { function wp_carousel_load_carousel_'.$c_id.'_js_code() { wp_carousel_load_carousel_js('.$c_id.'); } }');
						add_action('wp_footer', 'wp_carousel_load_carousel_'.$c_id.'_js_code');
						require_once('wp-carousel-theme.php');
					}
				}
		
			}
		}
	}
	
	function portal_colorido_get_type()
	{
		switch (true)
		{
			case is_home():
				return 'index';
				break;
			case is_front_page():
				return 'index';
				break;
			case is_single():
				return 'single';
				break;
			case is_page():
				return 'page';
				break;
			case is_category():
				return 'category';
				break;
			case is_tag():
				return 'tag';
				break;
			case is_search():
				return 'seach';
				break;
			case is_archive():
				return 'archive';
				break;
			case is_404():
				return '404';
				break;
			default:
				break;
		}
	}

	add_action('admin_menu', 'portal_colorido_options_page_link');
	
	wp_register_script('portal_colorido_colorpicker', get_bloginfo('template_url').'/js/colorpicker.js', array('jquery'));
	wp_register_script('portal_colorido_init_colorpicker', get_bloginfo('template_url').'/js/init.colorpicker.js', array('portal_colorido_colorpicker'));
	wp_register_script('portal_colorido_init_jquery', get_bloginfo('template_url').'/js/init.jquery.js', array('jquery'));
	wp_register_script('portal_colorido_init_admin', get_bloginfo('template_url').'/js/init.admin.js', array('jquery-ui-tabs'));
	wp_enqueue_script('portal_colorido_init_jquery');
	
	function portal_colorido_enqueue_init_admin()
	{
		wp_enqueue_script('portal_colorido_init_admin');
	}
		
	function portal_colorido_enqueue_init_colorpicker() 
	{
		wp_enqueue_script('portal_colorido_init_colorpicker');
	}
	
	function portal_colorido_colorpicker_css()
	{
		echo '<link rel="stylesheet" href="'.get_bloginfo('template_url').'/colorpicker.css" type="text/css" media="screen" />';
	}
	
	function portal_colorido_options_page_link()
	{
		$portal_colorido_options_page_link = add_object_page('Portal Colorido', 'Portal Colorido', 8, __FILE__, 'portal_colorido_config', get_bloginfo('template_url').'/img/favicon.png');
		add_action('admin_print_scripts-' . $portal_colorido_options_page_link, 'portal_colorido_enqueue_init_colorpicker');
		add_action('admin_print_scripts-' . $portal_colorido_options_page_link, 'portal_colorido_enqueue_init_admin');
		add_action('admin_head', 'portal_colorido_colorpicker_css');
	}

	function portal_colorido_is_installed($item)
	{
		switch ($item)
		{
			case 'wp_carousel':
				if (function_exists('wp_carousel')) { return true; } else { return false; }
			case 'wp-main-menu':
				if (function_exists('wp_main_menu')) { return true; } else { return false; }
				break;
			default:
				return false;
				break;
		}
	}
		
	// A SIDEBARS
	
	$portal_colorido_sidebars['A']['INDEX'] = array(
		'name'				=>	 'Sidebar A Index',
		'id'						=> 'sidebar-a-index',
		'description'			=> __('This sidebar will be shown after the header only in the blog\'s index.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['A']['SINGLE'] = array(
		'name'				=>	 'Sidebar A Single',
		'id'						=> 'sidebar-a-single',
		'description'			=> __('This sidebar will be shown after the header only when you view a single post.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['A']['PAGE'] = array(
		'name'				=>	 'Sidebar A Page',
		'id'						=> 'sidebar-a-page',
		'description'			=> __('This sidebar will be shown after the header only when you view a single page.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['A']['TAG'] = array(
		'name'				=>	 'Sidebar A Tag',
		'id'						=> 'sidebar-a-tag',
		'description'			=> __('This sidebar will be shown after the header only when you view a single tag.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['A']['ARCHIVE'] = array(
		'name'				=>	 'Sidebar A Archive',
		'id'						=> 'sidebar-a-archive',
		'description'			=> __('This sidebar will be shown after the header only when you view an archive page.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['A']['CATEGORY'] = array(
		'name'				=>	 'Sidebar A Category',
		'id'						=> 'sidebar-a-category',
		'description'			=> __('This sidebar will be shown after the header only when you view a single category.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['A']['SEARCH'] = array(
		'name'				=>	 'Sidebar A Search',
		'id'						=> 'sidebar-a-search',
		'description'			=> __('This sidebar will be shown after the header only when you view search results.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['A']['404'] = array(
		'name'				=>	 'Sidebar A 404',
		'id'						=> 'sidebar-a-404',
		'description'			=> __('This sidebar will be shown after the header only when you view a 404 error page.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	// B SIDEBARS
	
	$portal_colorido_sidebars['B']['INDEX'] = array(
		'name'				=>	 'Sidebar B Index',
		'id'						=> 'sidebar-b-index',
		'description'			=> __('This sidebar will be shown in the left side only when you see the index.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['B']['SINGLE'] = array(
		'name'				=>	 'Sidebar B Single',
		'id'						=> 'sidebar-b-single',
		'description'			=> __('This sidebar will be shown in the left side only when you view a single post.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['B']['PAGE'] = array(
		'name'				=>	 'Sidebar B Page',
		'id'						=> 'sidebar-b-page',
		'description'			=> __('This sidebar will be shown in the left side only when you view a single page.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['B']['CATEGORY'] = array(
		'name'				=>	 'Sidebar B Category',
		'id'						=> 'sidebar-b-category',
		'description'			=> __('This sidebar will be shown in the left side only when you view a category.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['B']['TAG'] = array(
		'name'				=>	 'Sidebar B Tag',
		'id'						=> 'sidebar-b-tag',
		'description'			=> __('This sidebar will be shown in the left side when you view a tag.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['B']['ARCHIVE'] = array(
		'name'				=>	 'Sidebar B Archive',
		'id'						=> 'sidebar-b-archive',
		'description'			=> __('This sidebar will be shown in the left side when you view an archive page.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['B']['SEARCH'] = array(
		'name'				=>	 'Sidebar B Search',
		'id'						=> 'sidebar-b-search',
		'description'			=> __('This sidebar will be shown in the left side when you view search results.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['B']['404'] = array(
		'name'				=>	 'Sidebar B 404',
		'id'						=> 'sidebar-b-404',
		'description'			=> __('This sidebar will be shown in the left side when you get a 404 error.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	// C SIDEBARS
	
	$portal_colorido_sidebars['C']['INDEX'] = array(
		'name'				=>	 'Sidebar C Index',
		'id'						=> 'sidebar-c-index',
		'description'			=> __('This sidebar will be shown in the right side only when you view the index.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['C']['SINGLE'] = array(
		'name'				=>	 'Sidebar C Single',
		'id'						=> 'sidebar-c-single',
		'description'			=> __('This sidebar will be shown in the right side only when you view a single post.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['C']['PAGE'] = array(
		'name'				=>	 'Sidebar C Page',
		'id'						=> 'sidebar-c-page',
		'description'			=> __('This sidebar will be shown in the right side only when you view a single page.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['C']['CATEGORY'] = array(
		'name'				=>	 'Sidebar C Category',
		'id'						=> 'sidebar-c-category',
		'description'			=> __('This sidebar will be shown in the right side only when you view a category.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['C']['TAG'] = array(
		'name'				=>	 'Sidebar C Tag',
		'id'						=> 'sidebar-c-tag',
		'description'			=> __('This sidebar will be shown in the right side when you view a tag.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['C']['ARCHIVE'] = array(
		'name'				=>	 'Sidebar C Archive',
		'id'						=> 'sidebar-c-archive',
		'description'			=> __('This sidebar will be shown in the right side when you view an archive page.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['C']['SEARCH'] = array(
		'name'				=>	 'Sidebar C Search',
		'id'						=> 'sidebar-c-search',
		'description'			=> __('This sidebar will be shown in the right side when you view search results.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	$portal_colorido_sidebars['C']['404'] = array(
		'name'				=>	 'Sidebar C 404',
		'id'						=> 'sidebar-c-404',
		'description'			=> __('This sidebar will be shown in the right side when you get a 404 error.', 'portal_colorido'),
		'before_widget'	=> '<li id="%1$s" class="widget %2$s">',
		'after_widget'		=> '</li>',
		'before_title'		=> '<h2 class="widgettitle">',
		'after_title'			=> '</h2>'
	);
	
	// D SIDEBARS
	
	$portal_colorido_sidebars['D']['INDEX'] = array(
		'name'				=>	 'Sidebar D Index',
		'id'						=> 'sidebar-d-index',
		'description'			=> __('This sidebar will be shown before the footer only in the blog\'s index.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['D']['SINGLE'] = array(
		'name'				=>	 'Sidebar D Single',
		'id'						=> 'sidebar-d-single',
		'description'			=> __('This sidebar will be shown before the footer only when you view a single post.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['D']['PAGE'] = array(
		'name'				=>	 'Sidebar D Page',
		'id'						=> 'sidebar-d-page',
		'description'			=> __('This sidebar will be shown before the footer only when you view a single page.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['D']['TAG'] = array(
		'name'				=>	 'Sidebar D Tag',
		'id'						=> 'sidebar-d-tag',
		'description'			=> __('This sidebar will be shown before the footer only when you view a single tag.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['D']['ARCHIVE'] = array(
		'name'				=>	 'Sidebar D Drchive',
		'id'						=> 'sidebar-d-archive',
		'description'			=> __('This sidebar will be shown before the footer only when you view an archive page.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['D']['CATEGORY'] = array(
		'name'				=>	 'Sidebar D Category',
		'id'						=> 'sidebar-d-category',
		'description'			=> __('This sidebar will be shown before the footer only when you view a single category.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['D']['SEARCH'] = array(
		'name'				=>	 'Sidebar D Search',
		'id'						=> 'sidebar-d-search',
		'description'			=> __('This sidebar will be shown before the footer only when you view search results.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	$portal_colorido_sidebars['D']['404'] = array(
		'name'				=>	 'Sidebar D 404',
		'id'						=> 'sidebar-d-404',
		'description'			=> __('This sidebar will be shown before the footer only when you view a 404 error page.', 'portal_colorido'),
		'before_widget'	=> '<div id="%1$s" class="module %2$s">',
		'after_widget'		=> '</div></div>',
		'before_title'		=> '<div class="module-header"><h2 class="widgettitle">',
		'after_title'			=> '</h2></div><div class="module-separator"></div><div class="module-content">'
	);
	
	foreach ($portal_colorido_sidebars['A'] as $key => $sidebar) {
		register_sidebar($sidebar);
	}
	
	foreach ($portal_colorido_sidebars['B'] as $key => $sidebar) {
		register_sidebar($sidebar);
	}
	
	foreach ($portal_colorido_sidebars['C'] as $key => $sidebar) {
		register_sidebar($sidebar);
	}
	
	foreach ($portal_colorido_sidebars['D'] as $key => $sidebar) {
		register_sidebar($sidebar);
	}
	
	function portal_colorido_config()
	{
		global $portal_colorido_options_page_url;
		$old_config = unserialize(get_option('portal_colorido_config'));
		if (isset($_POST['Submit']))
		{
			if ($_POST['id_form'] == 'config_form')
			{				
				if (isset($_POST['show_logo'])) { $show_logo = $_POST['show_logo']; } else { $show_logo = '0'; }
				if (isset($_POST['wpmm_color'])) { $wpmm_color = $_POST['wpmm_color']; } else { $wpmm_color = '0'; }
				if (isset($_POST['footer_text'])) { $footer_text = $_POST['footer_text']; } else { $footer_text = ''; }
				if (isset($_POST['default_color'])) { $default_color = $_POST['default_color']; } else { $default_color = '0'; }
				if (isset($_POST['carousel_id'])) { if (is_numeric($_POST['carousel_id'])) { $carousel_id = $_POST['carousel_id']; } else { $carousel_id = ''; } } else { $carousel_id = ''; }
				if (isset($old_config['colors'])) $colors = $old_config['colors']; else $colors = '';
				$config = array(
								'show_logo' => $show_logo,
								'colors' => $colors,
								'footer_text' => $footer_text,
								'carousel_id' => $carousel_id,
								'wpmm_color' => $wpmm_color,
								'default_color' => $default_color
								);
			}
			elseif ($_POST['id_form'] == 'category_form')
			{
				$categories = get_categories();
				foreach ($categories as $cat):
					if (isset($_POST['category_'.$cat->cat_ID.'_color_scheme']))
					{
						if (is_numeric($_POST['category_'.$cat->cat_ID.'_color_scheme']))
							$config_categories[$cat->cat_ID] = $_POST['category_'.$cat->cat_ID.'_color_scheme'];
						else
							$config_categories[$cat->cat_ID] = '0';
					}
					else
					{
						$config_categories[$cat->cat_ID] = '0';
					}
				endforeach;
				$config = $old_config;
				$config['categories'] = $config_categories;
			}
			elseif ($_POST['id_form'] == 'scheme_form_form')
			{
				
				if ($_POST['name'] != '') $name = $_POST['name']; else $name = __('New scheme', 'portal_colorido');
				if ($_POST['color1'] != '') $color1 = $_POST['color1']; else $color1 = '153d54';
				if ($_POST['color2'] != '') $color2 = $_POST['color2']; else $color2 = '2860c9';
				if ($_POST['color3'] != '') $color3 = $_POST['color3']; else $color3 = '363636';
				if ($_POST['color4'] != '') $color4 = $_POST['color4']; else $color4 = 'ffffff';
				if ($_POST['color5'] != '') $color5 = $_POST['color5']; else $color5 = '000000';
				if ($_POST['color6'] != '') $color6 = $_POST['color6']; else $color6 = 'ffffff';
				if ($_POST['color7'] != '') $color7 = $_POST['color7']; else $color7 = 'cccccc';
				if ($_POST['color8'] != '') $color8 = $_POST['color8']; else $color8 = 'ffffff';
				if ($_POST['color9'] != '') $color9 = $_POST['color9']; else $color9 = '2860c9';
				if ($_POST['color10'] != '') $color10 = $_POST['color10']; else $color10 = 'ffffff';
				if ($_POST['color11'] != '') $color11 = $_POST['color11']; else $color11 = 'ffffff';
				if ($_POST['color12'] != '') $color12 = $_POST['color12']; else $color12 = 'cccccc';
				if ($_POST['color13'] != '') $color13 = $_POST['color13']; else $color13 = 'e0e0e0';
				if ($_POST['color14'] != '') $color14 = $_POST['color14']; else $color14 = '000000';
				
				$new_scheme = array(
									'name' => $name,
									'color1' => $color1,
									'color2' => $color2,
									'color3' => $color3,
									'color4' => $color4,
									'color5' => $color5,
									'color6' => $color6,
									'color7' => $color7,
									'color8' => $color8,
									'color9' => $color9,
									'color10' => $color10,
									'color11' => $color11,
									'color12' => $color12,
									'color13' => $color13,
									'color14' => $color14
									);
				
				$config = $old_config;
				$config['colors'][] = $new_scheme;
				
			}
			elseif ($_POST['id_form'] == 'edit_scheme_form_form')
			{
				
				if (isset($_POST['name'])) $name = $_POST['name']; else $name = __('New scheme', 'portal_colorido');
				if (isset($_POST['color1'])) $color1 = $_POST['color1']; else $color1 = '#ffffff';
				if (isset($_POST['color2'])) $color2 = $_POST['color2']; else $color2 = '#ffffff';
				if (isset($_POST['color3'])) $color3 = $_POST['color3']; else $color3 = '#ffffff';
				if (isset($_POST['color4'])) $color4 = $_POST['color4']; else $color4 = '#ffffff';
				if (isset($_POST['color5'])) $color5 = $_POST['color5']; else $color5 = '#ffffff';
				if (isset($_POST['color6'])) $color6 = $_POST['color6']; else $color6 = '#ffffff';
				if (isset($_POST['color7'])) $color7 = $_POST['color7']; else $color7 = '#ffffff';
				if (isset($_POST['color8'])) $color8 = $_POST['color8']; else $color8 = '#ffffff';
				if (isset($_POST['color9'])) $color9 = $_POST['color9']; else $color9 = '#ffffff';
				if (isset($_POST['color10'])) $color10 = $_POST['color10']; else $color10 = '#ffffff';
				if (isset($_POST['color11'])) $color11 = $_POST['color11']; else $color11 = '#ffffff';
				if (isset($_POST['color12'])) $color12 = $_POST['color12']; else $color12 = '#ffffff';
				if (isset($_POST['color13'])) $color13 = $_POST['color13']; else $color13 = '#ffffff';
				if (isset($_POST['color14'])) $color14 = $_POST['color14']; else $color14 = '#ffffff';
				
				$new_scheme = array(
									'name' => $name,
									'color1' => $color1,
									'color2' => $color2,
									'color3' => $color3,
									'color4' => $color4,
									'color5' => $color5,
									'color6' => $color6,
									'color7' => $color7,
									'color8' => $color8,
									'color9' => $color9,
									'color10' => $color10,
									'color11' => $color11,
									'color12' => $color12,
									'color13' => $color13,
									'color14' => $color14
									);
				
				$config = $old_config;
				$config['colors'][$_POST['id']] = $new_scheme;
				
			}
			else
			{
				$config = $old_config;
			}
			update_option('portal_colorido_config', serialize($config));
		}
		if (isset($_GET['delete_id'])) {
			$config = $old_config;
			if (is_numeric($_GET['delete_id'])) 
			{
				unset($config['colors'][$_GET['delete_id']]);
				update_option('portal_colorido_config', serialize($config));
			}
		}
		$config = unserialize(get_option('portal_colorido_config'));
		if (!isset($config['show_logo'])) $config['show_logo'] = '0';
		if (!isset($config['footer_text'])) $config['footer_text'] = '';
		if (!isset($config['carousel_id'])) $config['carousel_id'] = '';
		if (!isset($config['wpmm_color'])) $config['wpmm_color'] = '0';
		if (!isset($config['default_color'])) $config['default_color'] = '0';
		
		if (!isset($config['colors'][0]['name'])) {
			$color_blue = array (
						 'name' => 'Blue',
						 'color1' => '153d54',
						 'color2' => '2860c9',
						 'color3' => '363636',
						 'color4' => 'ffffff',
						 'color5' => '000000',
						 'color6' => 'ffffff',
						 'color7' => 'cccccc',
						 'color8' => 'ffffff',
						 'color9' => '2860c9',
						 'color10' => 'ffffff',
						 'color11' => 'ffffff',
						 'color12' => 'cccccc',
						 'color13' => 'e0e0e0',
						 'color14' => '000000'
						 );
			$config['colors'][0] = $color_blue;
			update_option('portal_colorido_config', serialize($config));
		}
		if (!isset($config['colors'][1]['name'])) {
			$color_red = array (
						 'name' => 'Red',
						 'color1' => '770000',
						 'color2' => 'A80000',
						 'color3' => '363636',
						 'color4' => 'ffffff',
						 'color5' => '000000',
						 'color6' => 'ffffff',
						 'color7' => 'cccccc',
						 'color8' => 'ffffff',
						 'color9' => 'A80000',
						 'color10' => 'ffffff',
						 'color11' => 'ffffff',
						 'color12' => 'cccccc',
						 'color13' => 'e0e0e0',
						 'color14' => '000000'
						 );
			$config['colors'][1] = $color_red;
			update_option('portal_colorido_config', serialize($config));
		}
		if (!isset($config['colors'][2]['name'])) {
			$color_green = array (
						 'name' => 'Green',
						 'color1' => '1F5F1F',
						 'color2' => '339933',
						 'color3' => '363636',
						 'color4' => 'ffffff',
						 'color5' => '000000',
						 'color6' => 'ffffff',
						 'color7' => 'cccccc',
						 'color8' => 'ffffff',
						 'color9' => '339933',
						 'color10' => 'ffffff',
						 'color11' => 'ffffff',
						 'color12' => 'cccccc',
						 'color13' => 'e0e0e0',
						 'color14' => '000000'
						 );
			$config['colors'][2] = $color_green;
			update_option('portal_colorido_config', serialize($config));
		}
		
		$categories = get_categories();
		foreach ($categories as $cat):
			if (isset($config['categories'][$cat->cat_ID]))
			{
				if (!is_numeric($config['categories'][$cat->cat_ID])) $config['categories'][$cat->cat_ID] = '0';
			}
			else
			{
				$config['categories'][$cat->cat_ID] = '0';
			}
		endforeach;
		?>
		
		<div class="wrap">
			<div id="icon-themes" class="icon32"><br></div>
			<h2>Portal Colorido</h2>
			
			<?php $save_changes_string = __('Save changes', 'portal_colorido');  ?>
			
			<form name="portal_colorido_config" id="portal_colorido_config" method="post">
			
				<table class="widefat post fixed">
					<thead>
						<tr>
							<th scope="col" id="name" class="manage-column column-name"><?php echo _e('Option', 'wp_carousel'); ?></th>
							<th scope="col" id="value" class="manage-column column-value"><?php echo _e('Value', 'wp_carousel'); ?></th>
						</tr>
					</thead>
	
					<tfoot>
						<tr>
							<th scope="col" class="manage-column column-name"><?php echo _e('Option', 'wp_carousel'); ?></th>
							<th scope="col" class="manage-column column-value"><?php echo _e('Value', 'wp_carousel'); ?></th>
						</tr>
					</tfoot>
					
					<tbody>
					
						<tr valign="top">
							<th scope="row"><label for="show_logo"><?php _e('Show the logo in the header?', 'portal_colorido'); ?></label></th>
							<td><select name="show_logo" id="show_logo">
								<option value="0" <?php if ($config['show_logo'] == '0') echo 'selected="selected"'; ?>><?php _e('No', 'portal_colorido'); ?></option>
								<option value="1" <?php if ($config['show_logo'] == '1') echo 'selected="selected"'; ?>><?php _e('Yes', 'portal_colorido'); ?></option>
							</select>
							<span class="description"><?php _e('When the logo is not shown, the blog name and description appear in the header', 'portal_colorido'); ?></span></td>
						</tr>
						
						<tr valign="top" class="alternate">
							<th scope="row"><label for="footer_text"><?php _e('Footer text:', 'portal_colorido'); ?></label></th>
							<td>
							<textarea name="footer_text" type="text" id="footer_text" style="width:100%; height:100px;"><?php echo $config['footer_text']; ?></textarea>
							</td>
						</tr>
						
						<tr valign="top">
							<th scope="row"><label for="default_color"><?php _e('Default color scheme ID', 'portal_colorido'); ?></label></th>
							<td><input name="default_color" type="text" id="default_color"  value="<?php echo $config['default_color']; ?>"/>
							<span class="description"><?php _e('Select the default color scheme. When you view a page which don\'t have a color scheme, Portal Colorido will use this color scheme.', 'portal_colorido'); ?></span></td>
						</tr>
						
						<?php if (portal_colorido_is_installed('wp_carousel')) { ?>
						<tr valign="top">
							<th scope="row"><label for="carousel_id"><?php _e('WP Carousel Integration: Carousel ID', 'portal_colorido'); ?></label></th>
							<td><input name="carousel_id" type="text" id="carousel_id"  value="<?php echo $config['carousel_id']; ?>"/>
							<span class="description"><?php _e('Portal Colorido has got WP Carousel\'s integration, so you can set here the ID of the WP Carousel\'s carousel that you want to show after the menu (it will be shown only in the index).', 'portal_colorido'); ?></span></td>
						</tr>
						<?php } ?>
						
						<?php if (portal_colorido_is_installed('wp-main-menu')) { ?>
						<tr valign="top">
							<th scope="row"><label for="wpmm_color"><?php _e('Use colors in Main Menu\'s tabs?', 'portal_colorido'); ?></label></th>
							<td><select name="wpmm_color" id="wpmm_color">
								<option value="0" <?php if ($config['wpmm_color'] == '0') echo 'selected="selected"'; ?>><?php _e('No', 'portal_colorido'); ?></option>
								<option value="1" <?php if ($config['wpmm_color'] == '1') echo 'selected="selected"'; ?>><?php _e('Yes', 'portal_colorido'); ?></option>
							</select>
							<span class="description"><?php _e('If you use WP Main Menu, Portal Colorido is able to use the same color scheme of each menu\'s item on the tab which is linked to that item.', 'portal_colorido'); ?></span></td>
														
						</tr>
						<?php } ?>
					
					</tbody>
				</table>
				
				<p class="submit">
					<input type="submit" name="Submit" class="button-primary" value="<?php echo $save_changes_string; ?>" />
					<input type="hidden" name="id_form" id="id_form" value="config_form" />
				</p>

			
			</form>
			
			<?php
				if (isset($_GET['edit_id'])): if (is_numeric($_GET['edit_id'])):
					$config = unserialize(get_option('portal_colorido_config'));
					$scheme = $config['colors'][$_GET['edit_id']];
			?>
			
			<div class="portal_colorido_tabs">
			
				<ul>
					<li class="ui-tabs-selected"><a href="#edit_scheme_form"><?php echo _e('Edit a color scheme', 'portal_colorido'); ?></a></li>
					<li class="right"><a href="<?php echo $portal_colorido_options_page_url; ?>"><?php echo _e('Add scheme', 'wp_carousel'); ?></a></li>
				</ul>
			
				<div class="clear"></div>
							
				<div id="edit_scheme_form" class="ui-tabs-panel">
					<form id="edit_scheme_form_form" action="<?php echo $portal_colorido_options_page_url; ?>" name="edit_scheme_form_form" method="post">
					
						<table class="widefat post fixed">
							<thead>
								<tr>
									<th scope="col" id="color" class="manage-column column-color"><?php echo _e('Color', 'wp_carousel'); ?></th>
									<th scope="col" id="color-value" class="manage-column column-value"><?php echo _e('Value', 'wp_carousel'); ?></th>
								</tr>
							</thead>
			
							<tfoot>
								<tr>
									<th scope="col" class="manage-column column-color"><?php echo _e('Color', 'wp_carousel'); ?></th>
									<th scope="col" class="manage-column column-value"><?php echo _e('Value', 'wp_carousel'); ?></th>
								</tr>
							</tfoot>
							
							<tbody>
							
								<tr valign="top">
									<th scope="row"><label for="name"><?php _e('Scheme name:', 'portal_colorido'); ?></label></th>
									<td><input name="name" type="text" id="name" value="<?php echo $scheme['name']; ?>" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color1"><?php _e('Color 1:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color1" type="text" id="color1" value="<?php echo $scheme['color1']; ?>" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color2"><?php _e('Color 2:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color2" type="text" id="color2" value="<?php echo $scheme['color2']; ?>" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color3"><?php _e('Color 3:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color3" type="text" id="color3" value="<?php echo $scheme['color3']; ?>" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color4"><?php _e('Color 4:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color4" type="text" id="color4" value="<?php echo $scheme['color4']; ?>" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color5"><?php _e('Color 5:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color5" type="text" id="color5" value="<?php echo $scheme['color5']; ?>" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color6"><?php _e('Color 6:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color6" type="text" id="color6" value="<?php echo $scheme['color6']; ?>" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color7"><?php _e('Color 7:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color7" type="text" id="color7" value="<?php echo $scheme['color7']; ?>" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color8"><?php _e('Color 8:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color8" type="text" id="color8" value="<?php echo $scheme['color8']; ?>" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color9"><?php _e('Color 9:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color9" type="text" id="color9" value="<?php echo $scheme['color9']; ?>" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color10"><?php _e('Color 10:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color10" type="text" id="color10" value="<?php echo $scheme['color10']; ?>" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color11"><?php _e('Color 11:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color11" type="text" id="color11" value="<?php echo $scheme['color11']; ?>" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color12"><?php _e('Color 12:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color12" type="text" id="color12" value="<?php echo $scheme['color12']; ?>" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color13"><?php _e('Color 13:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color13" type="text" id="color13" value="<?php echo $scheme['color13']; ?>" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color14"><?php _e('Color 14:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color14" type="text" id="color14" value="<?php echo $scheme['color14']; ?>" /></td>
								</tr>
								
							
							</tbody>
						</table>
					
						<p class="submit">
							<input type="submit" name="Submit" class="button-primary" value="<?php _e('Save scheme', 'portal_colorido'); ?>" />
							<input type="hidden" name="id_form" id="id_form" value="edit_scheme_form_form" />
							<input type="hidden" name="id" id="id" value="<?php if (is_numeric($_GET['edit_id'])) echo $_GET['edit_id']; ?>" />
						</p>
					
					</form>
					
				</div>
				
			</div>
			
			<?php endif; else: ?>
			
			<div class="portal_colorido_tabs portal_colorido_tabs_js">
			
				<ul>
					<li><a href="#color_schemes"><?php echo _e('Color schemes', 'portal_colorido'); ?></a></li>
					<li class="right"><a href="#scheme_form"><?php echo _e('Add scheme', 'wp_carousel'); ?></a></li>
				</ul>
			
				<div class="clear"></div>
			
				<div id="color_schemes">
					
					<table class="widefat post fixed" cellspacing="0">
			
						<thead>
							<tr>
								<th scope="col" id="id" class="manage-column column-id" style="width:30px;"><?php _e('ID', 'portal_colorido'); ?></th>
								<th scope="col" id="name" class="manage-column column-name" style="width:25%;"><?php _e('Name', 'portal_colorido'); ?></th>
								<th scope="col" id="colors" class="manage-column column-colors"><?php _e('Colors', 'portal_colorido'); ?></th>
							</tr>
						</thead>
		
						<tfoot>
							<tr>
								<th scope="col" class="manage-column column-id" style="width:30px;"><?php _e('ID', 'portal_colorido'); ?></th>
								<th scope="col" class="manage-column column-name" style="width:25%;"><?php _e('Name', 'portal_colorido'); ?></th>
								<th scope="col" class="manage-column column-colors"><?php _e('Colors', 'portal_colorido'); ?></th>
							</tr>
						</tfoot>
		
						<tbody>
							<?php
								$color_schemes = $config['colors'];
								$alternate = false;
								if (is_array($color_schemes)):
								foreach ($color_schemes as $key => $scheme):
							?>
							<tr id="item-1" valign="top" <?php if ($alternate) echo 'class="alternate"'; $alternate != $alternate; ?>>
								<td class="item-id column-id" style="width:30px;"><?php echo $key; ?></td>
								<td class="item-name column-name" style="width:25%;"><strong><?php echo $scheme['name']; ?></strong><br /><a href="<?php echo $portal_colorido_options_page_url; ?>&edit_id=<?php echo $key; ?>"><?php _e('Edit', 'portal_colorido'); ?></a><?php if ($key != '0' && $key != '1' && $key != '2') { echo ' | <a href="'.$portal_colorido_options_page_url.'&delete_id='.$key.'">'.__('Delete', 'portal_colorido').'</a>'; } ?></td>
								<td class="item-value column-colors">
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color1']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color2']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color3']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color4']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color5']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color6']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color7']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color8']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color9']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color10']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color11']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color12']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color13']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div style="border:1px solid #CCC; background:#<?php echo $scheme['color14']; ?>; height:30px; width:30px; float:left; margin:0 10px 0 0;"></div>
								<div class="clear"></div>
								</td>
							</tr>
							<?php endforeach; endif; ?>

						</tbody>
						
					</table>
					
				</div>
				
				<div id="scheme_form">
					<form id="scheme_form_form" action="" name="scheme_form_form" method="post">
					
						<table class="widefat post fixed">
							<thead>
								<tr>
									<th scope="col" id="color" class="manage-column column-color"><?php echo _e('Color', 'wp_carousel'); ?></th>
									<th scope="col" id="color-value" class="manage-column column-value"><?php echo _e('Value', 'wp_carousel'); ?></th>
								</tr>
							</thead>
			
							<tfoot>
								<tr>
									<th scope="col" class="manage-column column-color"><?php echo _e('Color', 'wp_carousel'); ?></th>
									<th scope="col" class="manage-column column-value"><?php echo _e('Value', 'wp_carousel'); ?></th>
								</tr>
							</tfoot>
							
							<tbody>
							
								<tr valign="top">
									<th scope="row"><label for="name"><?php _e('Scheme name:', 'portal_colorido'); ?></label></th>
									<td><input name="name" type="text" id="name" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color1"><?php _e('Color 1:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color1" type="text" id="color1" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color2"><?php _e('Color 2:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color2" type="text" id="color2" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color3"><?php _e('Color 3:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color3" type="text" id="color3" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color4"><?php _e('Color 4:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color4" type="text" id="color4" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color5"><?php _e('Color 5:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color5" type="text" id="color5" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color6"><?php _e('Color 6:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color6" type="text" id="color6" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color7"><?php _e('Color 7:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color7" type="text" id="color7" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color8"><?php _e('Color 8:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color8" type="text" id="color8" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color9"><?php _e('Color 9:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color9" type="text" id="color9" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color10"><?php _e('Color 10:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color10" type="text" id="color10" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color11"><?php _e('Color 11:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color11" type="text" id="color11" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color12"><?php _e('Color 12:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color12" type="text" id="color12" /></td>
								</tr>
								<tr valign="top" class="alternate">
									<th scope="row"><label for="color13"><?php _e('Color 13:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color13" type="text" id="color13" /></td>
								</tr>
								<tr valign="top">
									<th scope="row"><label for="color14"><?php _e('Color 14:', 'portal_colorido'); ?></label></th>
									<td>#<input name="color14" type="text" id="color14" /></td>
								</tr>
								
							
							</tbody>
						</table>
					
						<p class="submit">
							<input type="submit" name="Submit" class="button-primary" value="<?php _e('Add scheme', 'portal_colorido'); ?>" />
							<input type="hidden" name="id_form" id="id_form" value="scheme_form_form" />
						</p>
					
					</form>
					
				</div>
				
			</div>
			
			<?php endif; ?>
			
			<div style="height:10px;"></div>
			
			<form name="portal_colorido_categories_config" id="portal_colorido_categories_config" method="post">
			
				<table class="widefat post fixed">
					<thead>
						<tr>
							<th scope="col" id="name" class="manage-column column-name"><?php echo _e('Category', 'wp_carousel'); ?></th>
							<th scope="col" id="value" class="manage-column column-value"><?php echo _e('Color scheme', 'wp_carousel'); ?></th>
						</tr>
					</thead>
	
					<tfoot>
						<tr>
							<th scope="col" class="manage-column column-name"><?php echo _e('Category', 'wp_carousel'); ?></th>
							<th scope="col" class="manage-column column-value"><?php echo _e('Color scheme', 'wp_carousel'); ?></th>
						</tr>
					</tfoot>
					
					<tbody>
					
						<?php
							$categories = get_categories();
							foreach ($categories as $cat):
						?>
						<tr valign="top">
							<th scope="row"><label for="category_<?php echo $cat->cat_ID; ?>_color_scheme"><?php echo $cat->cat_name; ?></label></th>
							<td><input name="category_<?php echo $cat->cat_ID; ?>_color_scheme" type="text" id="category_<?php echo $cat->cat_ID; ?>_color_scheme"  value="<?php if (isset($config['categories'][$cat->cat_ID])) echo $config['categories'][$cat->cat_ID];  else echo '0'; ?>"/>
							<span class="description"><?php _e('Select the color scheme for this category.', 'portal_colorido'); ?></span></td>
						</tr>
						
						<?php
							endforeach;
						?>
					
					</tbody>
				</table>
				
				<p class="submit">
					<input type="submit" name="Submit" class="button-primary" value="<?php echo $save_changes_string; ?>" />
					<input type="hidden" name="id_form" id="id_form" value="category_form" />
				</p>

			
			</form>
						
		</div>
		
		<div class="clear"></div>
		<?php
	}

?>